NX Open C++ Reference Guide
|
Represents a Features::SheetMetalFromSolid builder (Sheet Metal from Solid). More...
Public Member Functions | |
NXOpen::ScCollector * | BendEdges () |
Returns the bend edges Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::BendOptions * | BendOptions () |
Returns the bend options Created in NX6.0.0. | |
std::vector< NXOpen::Edge * > | GetAutomaticBendEdges () |
Get the automatic bend edges. | |
std::vector< NXOpen::Edge * > | GetCandidateBendEdges () |
Get the candidate bend edges. | |
bool | ReverseDirection () |
Returns the reverse direction Created in NX6.0.0. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the reverse direction Created in NX6.0.0. | |
void | SetUseGlobalThickness (bool useGlobalThickness) |
Sets the use global thickness Created in NX6.0.0. | |
NXOpen::Expression * | Thickness () |
Returns the thickness Created in NX6.0.0. | |
bool | UseGlobalThickness () |
Returns the use global thickness Created in NX6.0.0. | |
NXOpen::ScCollector * | WebFaces () |
Returns the web faces Created in NX6.0.0. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::SheetMetalFromSolid builder (Sheet Metal from Solid).
<br> To create a new instance of this class, use @link Features::SheetMetal::SheetmetalManager::CreateSheetMetalFromSolidBuilder Features::SheetMetal::SheetmetalManager::CreateSheetMetalFromSolidBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Thickness.Value |
3.0 (millimeters part), 0.1 (inches part) |
UseGlobalThickness |
1 |
Created in NX6.0.0.
NXOpen::ScCollector* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::BendEdges | ( | ) |
Returns the bend edges
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::BendOptions | ( | ) |
Returns the bend options
Created in NX6.0.0.
License requirements : None
std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::GetAutomaticBendEdges | ( | ) |
Get the automatic bend edges.
std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::GetCandidateBendEdges | ( | ) |
Get the candidate bend edges.
bool NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::ReverseDirection | ( | ) |
Returns the reverse direction
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the reverse direction
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
reverseDirection | reversedirection |
void NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::SetUseGlobalThickness | ( | bool | useGlobalThickness | ) |
Sets the use global thickness
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
useGlobalThickness | useglobalthickness |
NXOpen::Expression* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::Thickness | ( | ) |
Returns the thickness
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::UseGlobalThickness | ( | ) |
Returns the use global thickness
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::WebFaces | ( | ) |
Returns the web faces
Created in NX6.0.0.
License requirements : None